<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetDebugAddIns Method (IEdmAddInMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddInMgr6 Interface : GetDebugAddIns Method (IEdmAddInMgr6)

Visual Basic
C#
C++/CLI

ppoAddIns
  Array of EdmAddInInfo2 structures; one structure for each debug add-in

Gets information about all of the add-ins that have been installed for debugging on this machine.

# Syntax

Visual Basic |
--- | ---

    Sub GetDebugAddIns( _
       ByRef ppoAddIns() As EdmAddInInfo2 _
    )

C# |
--- | ---

    void GetDebugAddIns(
       out EdmAddInInfo2[] ppoAddIns
    )

C++/CLI |
--- | ---

    void GetDebugAddIns(
    &   [Out] array<EdmAddInInfo2>^ ppoAddIns
    )

#### Parameters

ppoAddIns
  Array of EdmAddInInfo2 structures; one structure for each debug add-in

# Example

See the IEdmAddInMgr5 examples.

# Remarks

You can install add-ins for debugging either of two ways:

- Right-clicking the Add-ins node in the SOLIDWORKS PDM Professional Administration Tool and clicking Debug Add-ins.
- Calling IEdmAddInMgr6::InstallDebugAddIn.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddInMgr6 Interface
IEdmAddInMgr6 Members

# Availability

Version 6.4 of SOLIDWORKS PDM Professional